Bug 444238 - Main menu > Layer > &Group is untranslatable or has a bad a comment in code
Summary: Main menu > Layer > &Group is untranslatable or has a bad a comment in code
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: Translation (show other bugs)
Version: nightly build (please specify the git hash!)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-22 15:19 UTC by Tyson Tan
Modified: 2021-10-23 01:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tyson Tan 2021-10-22 15:19:11 UTC
The String "&Group" in Main menu > Layer became untranslatable after I disambiguated it recently.

It should be located in 
#: krita/krita5.xmlgui:233 
<text comment="A group of layers">&amp;Group</text>

I don't really understand what went wrong here...is that we can't use comment for <text> tag?

Help is greatly appreciated!
Comment 1 Alvin Wong 2021-10-22 19:28:48 UTC
Git commit 520a4003b163fed5e80ae62e500658f67864e291 by Alvin Wong.
Committed on 22/10/2021 at 19:27.
Pushed by alvinwong into branch 'master'.

Fix text context of `LayerGroup` menu

M  +1    -1    krita/krita5.xmlgui

https://invent.kde.org/graphics/krita/commit/520a4003b163fed5e80ae62e500658f67864e291
Comment 2 Alvin Wong 2021-10-22 19:30:26 UTC
Git commit f7169622d3b4b3b2b9d65eae816e4575da2a89b8 by Alvin Wong.
Committed on 22/10/2021 at 19:29.
Pushed by alvinwong into branch 'krita/5.0'.

Fix text context of `LayerGroup` menu
(cherry picked from commit 520a4003b163fed5e80ae62e500658f67864e291)

M  +1    -1    krita/krita5.xmlgui

https://invent.kde.org/graphics/krita/commit/f7169622d3b4b3b2b9d65eae816e4575da2a89b8
Comment 3 Tyson Tan 2021-10-23 01:20:22 UTC
Thank you Alvin, I've learned something today too. XD